/*****************************************************************************
 * Copyright 2013 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.nyx;

import javax.sql.DataSource;
import java.io.PrintWriter;
import java.sql.SQLException;
import java.sql.SQLFeatureNotSupportedException;
import java.util.logging.Logger;

/**
 * Empty dummy abstraction of DataSource. You will extends
 * this class and override only methods like getConnection().
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public abstract class AbstractDataSource implements DataSource
{

    @Override
    public PrintWriter getLogWriter() throws SQLException {
        return null;
    }

    @Override
    public void setLogWriter(PrintWriter out) throws SQLException {
        //do nothing
    }

    @Override
    public void setLoginTimeout(int seconds) throws SQLException {
        //do nothing
    }

    @Override
    public int getLoginTimeout() throws SQLException {
        //do nothing
        return 0;
    }

    @Override
    public Logger getParentLogger() throws SQLFeatureNotSupportedException {
        //do nothing
        return null;
    }

    @Override
    public <T> T unwrap(Class<T> iface) throws SQLException {
        //do nothing
        return null;
    }

    @Override
    public boolean isWrapperFor(Class<?> iface) throws SQLException {
        //do nothing
        return false;
    }
}
