package com.celum.nyx;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 *
 */
public class BatchSetter implements PreparedStatementSetter {

    private final ValuesSetter[] batch;

    public BatchSetter(ValuesSetter[] values) {
        this.batch = values;
    }


    @Override
    public void setValues(PreparedStatement ps) throws SQLException
    {
        for (int i = 0; i < batch.length; ++i) {
            batch[i].setValues(ps);
            ps.addBatch();
        }
    }
}
