package com.celum.nyx;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

/**
 *
 */
class StatementCallback implements SqlCallback
{
    private final DataSource ds;

    /**
     * Constructor
     */
    public StatementCallback(DataSource ds)
    {
        this.ds = ds;
    }

    @Override
    public void doSql(String sql)
    {
        Connection connection = null;
        Statement stmt = null;
        try {
            connection = ds.getConnection();
            stmt = connection.createStatement();
            stmt.execute(sql);
        } catch (SQLException e) {
            throw new DataAccessException("SQL error " + sql, e);
        } finally {
            JDBCUtils.closeQuietly(connection, stmt);
        }
    }
}
