package com.celum.nyx;

import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
 *
 *
 */
public class ValuesSetter implements PreparedStatementSetter {

    /** holds all values that will be used for binding parameters */
    private final Object[] values;

    /**
     * Use Sql.values() instead of constructor.
     * @param values
     */
    ValuesSetter(Object[] values) {
        this.values = values;
    }


    @Override
    public void setValues(PreparedStatement ps) throws SQLException
    {
        JDBCUtils.setValuesToPreparedStatement(values, ps);
    }

}
