/*****************************************************************************
 * Copyright 2013 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.nyx.interceptor;

import java.util.logging.Logger;

/**
 * Do logging of each SQL.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class LogInterceptor implements SqlInterceptor
{
    /** logger */
    private static Logger LOG = Logger.getLogger(LogInterceptor.class.getName());

    /**
     * {@inheritDoc}
     */
    @Override
    public String preHandleSql(String sql)
    {
        LOG.finest("[SQL]:" + sql);
        return sql;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void afterCompleteSql(String sql)
    {
        LOG.info("[SQL OK]:" + sql);
    }
}
